Hardware Locality (hwloc) 1.6.2

- Main Page
- Related Pages
- Modules
- Data Structures

Functions
Nodeset Helpers

## Functions
static inline hwloc_const_nodeset_t | hwloc_topology_get_complete_nodeset (hwloc_topology_t topology)
static inline hwloc_const_nodeset_t | hwloc_topology_get_topology_nodeset (hwloc_topology_t topology)
static inline hwloc_const_nodeset_t | hwloc_topology_get_allowed_nodeset (hwloc_topology_t topology)

## Detailed Description

## Function Documentation

static inline hwloc_const_nodeset_t hwloc_topology_get_allowed_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get allowed node set.

Returns
  the node set of allowed memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed, hwloc_nodeset_dup must be used to obtain a local copy.

static inline hwloc_const_nodeset_t hwloc_topology_get_complete_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get complete node set.

Returns
  the complete node set of memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_nodeset_dup must be used to obtain a local copy.

static inline hwloc_const_nodeset_t hwloc_topology_get_topology_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get topology node set.

Returns
  the node set of memory of the system for which hwloc provides topology information. This is equivalent to the nodeset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_nodeset_dup must be used to obtain a local copy.